"are you sure you want to do this?"

My client has a multisite installed, and it’s pretty old, though he’s been keeping it updated. He recently upgraded to 3.4.2, and now can no longer create new posts or pages. Every time he goes to publish or save a draft, he’s redirected to a page that says “Are you sure you want to do this?” and a link that takes him back to a blank post-edit page. He also cannot create new users. I’ve tried replacing core files, disabling plugins and switching themes, none of which have helped. debug mode isn’t revealing anything useful, either. Google isn’t even helpful. I’m completely stumped. Any suggestions?